This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 164675 - reboot hangs if Legacy USB support is Disabled
reboot hangs if Legacy USB support is Disabled
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-29 17:15 EDT by Herb Lewis
Modified: 2008-02-27 00:03 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 00:03:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Herb Lewis 2005-07-29 17:15:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.3.1

Description of problem:
If I disable the Legacy USB support in the BIOS of my Toshiba laptop,
reboot of the system will hang at the point that it should reset and
display the BIOS startup. It also hangs in grub if I ctrl-alt-del when
the menu is displayed to select the OS to boot. 

If I enable Legacy USB Support in the BIOS, rebooting (and ctrl-alt_del)
works properly but then my touchpad and "mouse buttons" are disabled.

I seem to remember that this worked on FC2 though I no longer have a
system running that anymore.

Version-Release number of selected component (if applicable):
grub-0.95-3

How reproducible:
Always

Steps to Reproduce:
1. before booting enter BIOS and set Legacy USB Support to disabled
2. boot system.
3. from logout menu select "Restart the computer
  

Actual Results:  system shuts down but does not reenter BIOS to reboot

Expected Results:  system should reboot

Additional info:
Comment 1 Herb Lewis 2005-11-10 12:20:28 EST
still present in FC4
Comment 2 Christian Iseli 2007-01-19 19:48:35 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Herb Lewis 2007-01-22 12:47:27 EST
This is now working in FC65
Comment 4 Herb Lewis 2007-01-22 12:48:13 EST
that should have read FC5 and FC6
Comment 5 petrosyan 2008-02-27 00:03:37 EST
I am closing this bug because the reporter indicated that it is working in FC5
and FC6 releases.

Note You need to log in before you can comment on or make changes to this bug.